## org.w3c.dom.svg
Interface SVGElementInstance

All Superinterfaces:
  org.w3c.dom.events.EventTarget

public interface SVGElementInstance
extends org.w3c.dom.events.EventTarget

Method Summary
`SVGElementInstanceList` `getChildNodes()`
`SVGElement` `getCorrespondingElement()`
`SVGUseElement` `getCorrespondingUseElement()`
`SVGElementInstance` `getFirstChild()`
`SVGElementInstance` `getLastChild()`
`SVGElementInstance` `getNextSibling()`
`SVGElementInstance` `getParentNode()`
`SVGElementInstance` `getPreviousSibling()`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Method Detail

### getCorrespondingElement

    public SVGElement getCorrespondingElement()

### getCorrespondingUseElement

    public SVGUseElement getCorrespondingUseElement()

### getParentNode

    public SVGElementInstance getParentNode()

### getChildNodes

    public SVGElementInstanceList getChildNodes()

### getFirstChild

    public SVGElementInstance getFirstChild()

### getLastChild

    public SVGElementInstance getLastChild()

### getPreviousSibling

    public SVGElementInstance getPreviousSibling()

### getNextSibling

    public SVGElementInstance getNextSibling()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.